summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAaron Bauman <bman@gentoo.org>2019-11-29 17:11:48 -0500
committerAaron Bauman <bman@gentoo.org>2019-11-29 17:11:48 -0500
commit505f19d604b779ffe170835fdecebb6c926417c6 (patch)
tree3d00860611d1ec5b92828a29384142e6c08920d9 /dev-libs/libtompoly
parentdev-libs/libtompoly: EAPI=7 bump (diff)
downloadgentoo-505f19d604b779ffe170835fdecebb6c926417c6.tar.gz
gentoo-505f19d604b779ffe170835fdecebb6c926417c6.tar.bz2
gentoo-505f19d604b779ffe170835fdecebb6c926417c6.zip
dev-libs/libtompoly: a few QA fixes
* Use HTTPS * break docinto/dodoc calls into separate lines * add proper die message Signed-off-by: Aaron Bauman <bman@gentoo.org>
Diffstat (limited to 'dev-libs/libtompoly')
-rw-r--r--dev-libs/libtompoly/libtompoly-0.04-r1.ebuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/dev-libs/libtompoly/libtompoly-0.04-r1.ebuild b/dev-libs/libtompoly/libtompoly-0.04-r1.ebuild
index ad8ee80f189..5a642fccaed 100644
--- a/dev-libs/libtompoly/libtompoly-0.04-r1.ebuild
+++ b/dev-libs/libtompoly/libtompoly-0.04-r1.ebuild
@@ -6,7 +6,7 @@ EAPI=7
inherit toolchain-funcs
DESCRIPTION="portable ISO C library for polynomial basis arithmetic"
-HOMEPAGE="http://www.libtom.net/"
+HOMEPAGE="https://www.libtom.net/"
SRC_URI="https://github.com/libtom/libtompoly/releases/download/${PV}/ltp-${PV}.tar.bz2"
LICENSE="WTFPL-2"
@@ -21,12 +21,13 @@ src_prepare() {
sed -i \
-e 's:\<ar\>:$(AR):' \
-e "/^LIBPATH/s:/lib:/$(get_libdir):" \
- makefile || die
+ makefile || die "Fixing makefile failed"
tc-export AR CC
}
src_install() {
default
dodoc changes.txt pb.pdf
- docinto demo ; dodoc demo/demo.c
+ docinto demo
+ dodoc demo/demo.c
}